import request from '@/utils/request'
import da from "element-ui/src/locale/lang/da";

//查询列表
export function getList(data){
  return request({
    url:'/house/mobile/jgTask/list',
    method:'get',
    params:data
  })
}

//查询上报情况列表
export function getTaskList(id){
  return request({
    url:'/house/jg/list',
    method:'get'
  })
}

//查询上报情况
export function getTaskGet(id){
  return request({
    url:'/house/jgTask/get/'+id,
    method:'get'
  })
}

//查询上报情况
export function listByTaskId(data){
  return request({
    url:'/house/jg/listByTaskId',
    method:'get',
    params:data
  })
}

//查询上报情况
export function removeList(id){
  return request({
    url:'/house/jgTask/remove/'+id,
    method:'get'
  })
}

//查询上报情况
export function getTree(){
  return request({
    url:'/system/dept/treeselect',
    method:'get'
  })
}

//修改上报情况
export function editTaskGet(data){
  return request({
    url:'/house/jgTask/edit',
    method:'post',
    data:data
  })
}

//新增任务
export function addTask(data){
  return request({
    url:'/house/jgTask/add',
    method:'post',
    data:data
  })
}

//任务发布
export function distribute(data){
  return request({
    url:'/house/jgTask/distribute/'+data.list+'?taskId='+data.id,
    method:'post',
  })
}
